ped.get.genotypes.012 <-
function(ped, subjects.i=NULL, subjects=NULL, markers.i=NULL, markers=NULL, center=F, rand=F, W=NULL)
{ 
	subjects.i <- .ped.find.subjects(ped, subjects.i=subjects.i, subjects=subjects, default.all=TRUE)
	markers.i <- .ped.find.markers(ped, markers.i=markers.i, markers=markers, default.all=TRUE)

	if(F==center)
	{
		if(F==rand)
		{
			return(hash.get(ped, "genotypes.012")[subjects.i, markers.i])
		}
		if (T==rand)
		{
			if(is.null(W))
			{
				stop("must provide a W for randomization")
			}
			return(hash.get(ped, "genotypes.012")[subjects.i, markers.i] %*% diag(W))
		}
	}
	if(T==center)
	{
		if(F==rand)
		{
			return(scale(hash.get(ped, "genotypes.012")[subjects.i, markers.i],scale=F))
		}
		if (T==rand)
		{
			if(is.null(W))
			{
				stop("must provide a W for randomization")
			}
			return(scale(hash.get(ped, "genotypes.012")[subjects.i, markers.i],scale=F) %*% diag(W))
		}
	}
	stop("invalid ped.get.genotypes.012 options")
}
