ped.get.haplotypes <-
function(ped, subject.i=NULL, subject=NULL, markers.i=NULL, markers=NULL)
{
	subject.i <- .ped.find.subjects(ped, subjects.i=subject.i, subjects=subject)
	markers.i <- .ped.find.markers(ped, markers.i=markers.i, markers=markers, default.all=TRUE)

	if (!hash.has(ped, "haplotype.1"))
	{
		.ped.init.fake.haplotypes(ped)
	}

	hap1 <- hash.get(ped, "haplotype.1")[subject.i,markers.i]
	hap2 <- hash.get(ped, "haplotype.2")[subject.i,markers.i]
	rbind(hap1, hap2)
}
