ped.write.fastphase.input <-
function(ped, file)
{
	ost <- file(file, "w")
	on.exit(close(ost))
	fout <- function(...){cat(file=ost, append=TRUE, sep="", ...)}

	fout(length(ped.get.subjects(ped)), "\n")
	fout(length(ped.get.markers(ped)), "\n")
	subjects <- ped.get.subjects(ped)
	for (is in 1:length(subjects))
	{
		fout("# id ", subjects[is], "\n" )
		haps <- ped.get.haplotypes(ped, subject.i=is)
		haps[is.na(haps)] <- "?"
		fout(haps[1,], "\n")
		fout(haps[2,], "\n")
	}
}
