summary.FReMA <-
function(object, return.FReMIP=FALSE)
{
	RMIP<-.get.mip(object)
	names(RMIP)<-object$predictors
	tophits<-which(RMIP > 0.5)
	hits<-tophits[order(RMIP[tophits],decreasing=T)]
	out=cbind(names(RMIP)[hits], RMIP[hits])
	rownames(out)=1:nrow(out)
	colnames(out)=c("SNP", "RMIP")
	cat("FreMA output: \n  Model family:", object$family, "\t\t\t Number of resamples:", object$num.resamples, "\n Number of Subjects:", object$num.subjects,
			"\t\t Number of SNPs:",object$num.predictors ,"\n\n" )
	cat("Top scoring SNPs by RMIPs for", object$penalty, "penalty using", object$method.lambda, ":\n\n")
	print(out)
	if(return.FReMIP)
	{
		return(RMIP)
	}
}
