weights.llarrma <-
function(ped, num.resamples=1000, family=c("gaussian","binomial"), weight.type="uniform", ped.get.predictors=ped.get.genotypes.012, a=0,b=1) 
{
		if (1!=length(weight.type))
		{
			stop("must specify a single subsample type")
		}
		if( is.list(ped) )
    	{
        	ped<-ped[[1]]
    	}
    	response<-ped.get.phenotype(ped)
    	if(weight.type=="uniform")
		{
	    	weights<-matrix(nrow=ped.get.num.subjects(ped),ncol=num.resamples)
	    	for(i in 1:num.resamples)    
	    	{
	        	weights[,i]<-runif(ped.get.num.subjects(ped),a,b)
	    	}
		}
		if(weight.type=="dir")
		{
			weights<-matrix(nrow=ped.get.num.subjects(ped),ncol=num.resamples)
	    	for(i in 1:num.resamples)    
	    	{
	        	weights[,i]<-diff(sort(c(0,1,runif(ped.get.num.subjects(ped)-1,0,1))))
	    	}
		}
	weights
}
