write.ped <-
function(ped, file, sep="\t")
{
	data <- data.frame(
			family=hash.get(ped, "family.id"),
			subject=ped.get.subjects(ped),
			father=hash.get(ped, "father"),
			mother=hash.get(ped, "mother"),
			sex=hash.get(ped, "sex"),
			phenotype=hash.get(ped, "phenotype"))
	data <- cbind(data, as.data.frame(ped.get.genotypes.012(ped)))
	write.table(data, file=file, sep=sep, quote=FALSE, row.names=FALSE)
}
