\name{read.ped}
\alias{read.ped}
\alias{new.ped}

\title{Ped Object Commands}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
How to read in data for the required data structure for LLARRMA}
\usage{
read.ped(file, phased=FALSE, cols.per.genotype=1, header=TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{a data file in standard pedigree format.  (with the first 6 columns being family ID, subject ID, father ID, mother ID, sex, and phenotype. The remaining columns the markers)}
	\item{phased}{logical flag for phased genotypes}
	\item{cols.per.genotype}{number of columns per genotype (1 default, 2 for phased)}
	\item{header}{logical, is the first line data or a header}
}
\details{}
\value{creates a environment variable of your data
}
\references{
Valdar W, Sabourin J, Nobel A, Holmes CC. 2012. Reprioritizing genetic associations in hit regions using lasso-based resample model averaging. Genetic Epidemiology :n/a–n/adoi:10.1002/gepi.21639.}
\author{W Valdar}
\note{}



\seealso{}
