ped.set.genotypes.012 <-
function(ped, genotypes)
{
	if (!all(dim(genotypes)==dim(ped.get.genotypes.012(ped))))
	{
		stop("Bad dimensions for genotype matrix: need (",
				paste(collapse=",", dim(ped.get.genotypes.012(ped))),
				"), got (",
				paste(collapse=",", dim(genotypes)),
				")\n")
	}
	hash.put(ped, "genotypes.012", genotypes)
	if (hash.has(ped, "haplotype.1"))
	{
		hash.remove(ped, "haplotype.1")
		hash.remove(ped, "haplotype.2")
	}
}
