ped.subset <-
function(ped, subjects.i=NULL, subjects=NULL, markers.i=NULL, markers=NULL)
{
	subjects.i <- .ped.find.subjects(ped, subjects.i=subjects.i, subjects=subjects, default.all=TRUE)
	markers.i <- .ped.find.markers(ped, markers.i=markers.i, markers=markers, default.all=TRUE)

	new.ped(
		subjects = ped.get.subjects(ped)[subjects.i],
		markers = ped.get.markers(ped)[markers.i],
		family.id = hash.get(ped, "family.id")[subjects.i],
		father = hash.get(ped, "father")[subjects.i],
		mother = hash.get(ped, "mother")[subjects.i],
		sex = hash.get(ped, "sex")[subjects.i],
		phenotype = hash.get(ped, "phenotype")[subjects.i],
		genotypes.012 = hash.get(ped, "genotypes.012")[subjects.i,markers.i])
}
