\name{new.ped}
\alias{new.ped}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  Makes a ped object.
}
\description{
  Creates a ped object from active data in R.
}
\usage{
new.ped(subjects, markers, genotypes.012, father, mother, family.id, sex, phenotype)
}
\arguments{
	
	\item{subjects}{n-vector of unique subject id's}
	\item{markers}{p-vector of marker names}
	\item{genotypes.012}{a n by p matrix of 0,1,2 coded genotypes(Note: any general matrix will work here, but for running FreMA this bust be a 012 SNP matrix for model="dom" option)}
	\item{father}{n-vector of id's of the father (not used in llarrma but required for ped, may use all 0's)}
	\item{mother}{n-vector of id's of the mother (not used in llarrma but required for ped, may use all 0's)}
	\item{family.id}{n-vector of id's of the family (not used in llarrma but required for ped, may use all 0's)}
	\item{sex}{n-vector of individuals sex (not used in llarrma but required for ped, may use a vector of 0's)}
	\item{phenotype}{n-vector of the phenotypes, may be quantitative or 0/1 for case control}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
returns an object of class "ped" which may be used for FreMA
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Jeremy Sabourin
}
\note{

}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
See also \code{\link{read.ped}}, \code{\link{write.ped}}.
}
\examples{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ped }
\keyword{ new.ped }% __ONLY ONE__ keyword per line
