\name{ped.get._}
\alias{ped.get.genotypes.012}
\alias{ped.get.phenotype}
\alias{ped.get.markers}
\alias{ped.get.subjects}
\alias{ped.get.num.markers}
\alias{ped.get.num.subjects}

\title{Ped Object Commands}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
functions to obtain information from a ped object}
\usage{
ped.get.genotypes.012(ped, markers=NULL, markers.i=NULL, subjects=NULL, subjects.i=NULL)
ped.get.phenotype(ped, subjects=NULL, subjects.i=NULL)
ped.get.markers(ped)
ped.get.subjects(ped)
ped.get.num.markers(ped)
ped.get.num.subjects(ped)
}

%- maybe also 'usage' for other objects documented here.
\arguments{
  	\item{ped}{a ped class object}
	\item{subjects}{vector of unique subject id's}
	\item{subjects.i}{vector of subject indices}
	\item{markers}{vector of marker names}
	\item{markers.i}{vector of marker indices}
	}
\details{}
\value{returns the data for the corresponding function part after 'ped.get'
}
\references{
Valdar W, Sabourin J, Nobel A, Holmes CC. 2012. Reprioritizing genetic associations in hit regions using lasso-based resample model averaging. Genetic Epidemiology :n/a–n/adoi:10.1002/gepi.21639.}
\author{W Valdar}
\note{}



\seealso{}
